[arch-commits] Commit in dvgrab/repos (3 files)

Giovanni Scafora giovanni at archlinux.org
Mon May 4 06:06:22 EDT 2009


    Date: Monday, May 4, 2009 @ 06:06:21
  Author: giovanni
Revision: 37893

Merged revisions 37891 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/dvgrab/trunk

........
  r37891 | giovanni | 2009-05-04 03:05:39 -0700 (lun, 04 mag 2009) | 2 lines
  
  upgpkg: dvgrab 3.4-2
      libraw1394 rebuild
........

Added:
  dvgrab/repos/testing-x86_64/dvgrab-3.4-gcc43.patch
    (from rev 37891, dvgrab/trunk/dvgrab-3.4-gcc43.patch)
Modified:
  dvgrab/repos/testing-x86_64/	(properties)
  dvgrab/repos/testing-x86_64/PKGBUILD

------------------------+
 PKGBUILD               |    9 ++++++---
 dvgrab-3.4-gcc43.patch |   20 ++++++++++++++++++++
 2 files changed, 26 insertions(+), 3 deletions(-)


Property changes on: dvgrab/repos/testing-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /dvgrab/trunk:1-37820
   + /dvgrab/trunk:1-37892

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2009-05-04 10:05:47 UTC (rev 37892)
+++ testing-x86_64/PKGBUILD	2009-05-04 10:06:21 UTC (rev 37893)
@@ -4,18 +4,21 @@
 
 pkgname=dvgrab
 pkgver=3.4
-pkgrel=1
+pkgrel=2
 pkgdesc="Saves audio and video data from an IEEE (FireWire) digital source"
 arch=('i686' 'x86_64')
 url="http://www.kinodv.org"
 license=('GPL')
 depends=('libdv>=1.0.0' 'libavc1394>=0.5.3-3' 'libjpeg' 'libiec61883>=1.2.0' 'gcc-libs')
 makedepends=('pkgconfig')
-source=(http://downloads.sourceforge.net/sourceforge/kino/${pkgname}-${pkgver}.tar.gz)
-md5sums=('093b74cb9f9bf321e48ffbbe5ba8cba6')
+source=(http://downloads.sourceforge.net/sourceforge/kino/${pkgname}-${pkgver}.tar.gz
+        dvgrab-3.4-gcc43.patch)
+md5sums=('093b74cb9f9bf321e48ffbbe5ba8cba6'
+         'f89ac8e29d93b9644ac451f4009a8dc1')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i ${srcdir}/dvgrab-3.4-gcc43.patch || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1

Copied: dvgrab/repos/testing-x86_64/dvgrab-3.4-gcc43.patch (from rev 37891, dvgrab/trunk/dvgrab-3.4-gcc43.patch)
===================================================================
--- testing-x86_64/dvgrab-3.4-gcc43.patch	                        (rev 0)
+++ testing-x86_64/dvgrab-3.4-gcc43.patch	2009-05-04 10:06:21 UTC (rev 37893)
@@ -0,0 +1,20 @@
+--- a/error.cc	2007-07-06 12:04:24.000000000 -0700
++++ b/error.cc	2009-05-02 12:56:26.000000000 -0700
+@@ -25,6 +25,7 @@
+ 
+ #include <errno.h>
+ #include <string.h>
++#include <stdio.h>
+ 
+ // C++ includes
+ 
+--- a/smiltime.cc	2008-11-25 19:41:39.000000000 -0800
++++ b/smiltime.cc	2009-05-02 12:57:51.000000000 -0700
+@@ -30,6 +30,7 @@
+ 
+ #include <stdlib.h>
+ #include <math.h>
++#include <stdio.h>
+ 
+ #include "stringutils.h"
+ 



More information about the arch-commits mailing list